<template>
<div class="loadUnPage">
    <view class="history-numbers">
					<!-- <combined-title title="历史收发单"></combined-title> -->
					<scroll-view :scroll-top="scrollTop"
						scroll-y="true"
						class="scroll-Y">
						<u-empty mode="data"
							icon="http://cdn.uviewui.com/uview/empty/data.png"
							textSize="30"
							iconSize="1000"
							text="暂无数据"
							v-if="orderPlanList.length == 0"></u-empty>
						<view class="history-information"
							v-for="(item, index) in orderPlanList"
							:key="index"
							@click="faYundetail(item)">
							<view class="first">
								<view class="">{{ item.deptName || '' }}</view>
								<view class=""><u-icon name="arrow-right"
										color="#999999"
										size="40"></u-icon></view>
							</view>
							<view class="second">
								<view class="coal-name">{{ item.coalName || '' }}</view>
								<view class="order-type">{{ item.orderType || '' }}</view>
							</view>
							<view class="third">
								<view class="third-line">
									<view class="third-line_text">领取数:</view>
									<view class="third-line_num">{{ item.cars2 }}</view>
								</view>
								<view class="third-line">
									<view class="third-line_text">剩余数:</view>
									<view class="third-line_num"
										v-if="roleType == 1">{{ item.carNumSurplus1 }}</view>
									<view class="third-line_num"
										v-else-if="roleType == 2">{{ item.carNumSurplus }}</view>
								</view>
								<view class="third-line">
									<view class="third-line_text">收发单个数:</view>
									<view class="third-line_num">{{ item.tmCount }}</view>
								</view>
							</view>
							<view class="fourth">
								<view class="fourth-icon">
									<view
										style="width: 24rpx;height: 24rpx;line-height: 24rpx;background: url('https://mx.jzeg.cn:9096/appimg/image/banner/clock.png') no-repeat;background-size: cover">
									</view>
								</view>
								<view class="senddate">{{ item.sendDate }}</view>
							</view>
							<view class="fourth">
								<view class="fourth-icon">
									<view
										style="width: 26rpx;height: 26rpx;line-height: 26rpx;background: url('https://mx.jzeg.cn:9096/appimg/image/banner/carnNUm.png') no-repeat;background-size: cover;">
									</view>
								</view>
								<view class="senddate">{{ item.orderCode }}</view>
							</view>
						</view>
						<view class="more_text"
							v-if="showMoreData && historyCoalData.length !== 0">没有数据了...</view>
						<view class="white-block"></view>
					</scroll-view>
				</view>
    <tab-bar :current="1"></tab-bar>
    </div>  
</template>

<script>
export default {
    data() {
        return {
            orderPlanList:[],
            scrollTop:0,
          	historyCoalData: [],
				// 表格加载状态
				loading: false,
				scrollTop: 0,
				// 每页数据量
				pageSize: 10,
				// 当前页
				pageCurrent: 1,
				// 数据总量
				total: 0,
				// 是否显示更多数据
				showMoreData: false,
        }
    },
    onLoad(){
      this.init();
    },
    methods: {
        //初始化
        init(){
            this.$reqGet('getMyPlanListByBunkerId',{bunkerId:this.bunkerId}).then((res) => {
                console.log(res,'res')
                this.orderPlanList = res.data;
            })
        },
          faYundetail(v) {
				uni.navigateTo({
					url: `/pages/customer-page/customer-index/fayunPlanDetails/fayunPlanDetails?orderPlanId=${v.id}&cars2=${v.cars2}&coalName=${v.coalName}&deptName=${v.deptName}`
				});
			},
    },
    computed:{
        bunkerId(){
            return uni.getStorageSync('bunkerId')
        },
            // historyScrolltolower() {
			// 	if (this.pageCurrent * this.pageSize >= this.total) return (this.showMoreData = true);
			// 	this.pageCurrent++;
			// 	this.getJhOrderPlanDataPage();
			// },
    }

}
</script>

<style lang="scss" scoped>
	@mixin flex {
		display: flex;
		justify-content: space-between;
		align-items: center;
	}
.loadUnPage{
    width: 100%;
.history-numbers {
		width: 100%;
		position: relative;
		top: vww(-10);

		.history-information {
			width: 690rpx;
			height: 398rpx;
			margin: vww(10) vww(15);
			background: #ffffff;
			box-shadow: 0rpx 0rpx 14rpx 0rpx rgba(73, 120, 240, 0.14), 0rpx 7rpx 45rpx 0rpx rgba(73, 120, 240, 0.12);
			border-radius: 20rpx;
			@include flex flex-direction: column;
			align-items: flex-start;
			justify-content: space-evenly;
			overflow: hidden;

			.first {
				width: 96%;
				height: 34rpx;
				font-size: 32rpx;
				font-weight: 300;
				color: #303030;
				@include flex;
				margin: vww(10) vww(10) 0;
			}

			.second {
				width: 100%;
				height: 31rpx;
				font-size: 30rpx;
				font-weight: 300;
				color: #515151;
				margin: vww(10) vww(10) 0;
				@include flex;
				justify-content: flex-start;

				.coal-name {
					min-width: vww(30);
					height: vww(20);
					margin-right: vww(21);
				}

				.order-type {
					color: #035cfb;
					border: 2px solid #035cfb;
					border-radius: 4rpx;
					padding: vww(2) vww(4);
					text-align: center;
				}
			}

			.third {
				width: 96%;
				height: 31rpx;
				font-size: 30rpx;
				font-weight: 300;
				color: #515151;
				margin: vww(10) vww(10) 0;
				@include flex;

				.third-line {
					@include flex;

					&_text {
						color: #919090;
					}

					&_num {
						color: #035cfb;
					}
				}
			}

			.fourth {
				width: 100%;
				height: 31rpx;
				font-size: 30rpx;
				font-weight: 300;
				color: #515151;
				margin: vww(10) vww(10) 0;
				@include flex;

				.fourth-icon {
					width: vww(13);
					height: vww(13);
					margin-right: vww(14);
				}

				.senddate {
					flex: 1;
				}
			}
		}
	}
}
</style>